Page MenuHomePhabricator

VisualEditor: Transclusion dialog makes it too easy for users to remove the newlines between parameters
Closed, ResolvedPublic

Description

The template inspector's parameters contain the contents of each parameter, and also a line break, which represents, well, the break between two parameters. When modifying a param, it's all too easy to remove the line break, which results in user-unfriendly things like https://en.wikipedia.org/w/index.php?title=Kidz_Bop_20&diff=prev&oldid=562494239


Version: unspecified
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=69682

Details

Reference
bz50584

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:02 AM
bzimport set Reference to bz50584.
Ironholds created this task.Jul 2 2013, 2:35 PM

(inspector->dialog; inspector is the context menu with buttons to open a dialog)

The bug is open for more than a year, and we get ugly diffs and ugly wikitext. Please increase its severity.

If it isn't possible or it is hard to know whether a template is "inline template" or "multiline template", at least allow manual indication for it (using TemplateData?)

The whitespace around the value of parameters should just be preserved (and not shown in the text field at all). This can't be difficult to do, can it?

…and in fact, this appears to have been fixed already? The leading and trailing newlines from wikitext source are not displayed in the fields in the template dialog, and can not be removed. However, newly inserted template parameters (and newly inserted templates) do not have "smart whitespace" added (this overlaps with T71682 a bit).

Mattflaschen-WMF closed this task as Resolved.Jan 12 2015, 4:15 AM
Mattflaschen-WMF set Security to None.

Agreed, looks fixed. I can no longer reproduce the problem I had before on $wgEnableCanonicalServerLink (I tried to test with the same exact changes on my sandbox).